# CryptoContext.h File Reference

`#include <cc++/config.h>`
`#include <ccrtp/rtppkt.h>`

Go to the source code of this file.

## Classes

class | CryptoContext
| The implementation for a SRTP cryptographic context. More...

## Defines

#define | REPLAY_WINDOW_SIZE 64

## Variables

const int | SrtpAuthenticationNull = 0
const int | SrtpAuthenticationSha1Hmac = 1
const int | SrtpAuthenticationSkeinHmac = 2
const int | SrtpEncryptionNull = 0
const int | SrtpEncryptionAESCM = 1
const int | SrtpEncryptionAESF8 = 2
const int | SrtpEncryptionTWOCM = 3
const int | SrtpEncryptionTWOF8 = 4

## Define Documentation

#define REPLAY_WINDOW_SIZE 64

## Variable Documentation

const int SrtpAuthenticationNull = 0

const int SrtpAuthenticationSha1Hmac = 1

const int SrtpAuthenticationSkeinHmac = 2

const int SrtpEncryptionAESCM = 1

const int SrtpEncryptionAESF8 = 2

const int SrtpEncryptionNull = 0

const int SrtpEncryptionTWOCM = 3

const int SrtpEncryptionTWOF8 = 4